%define module	Authen-Radius
%define name	perl-%{module}
%define version 0.13
%define release %mkrel 3
%define tarname RadiusPerl 

Summary:	Radius authentication interface to Perl 5	
Name:		%{name}
Version:	%{version}
Release:	%{release}
License:	GPL
Group:		Development/Perl
Requires:	perl
URL:		http://search.cpan.org/dist/%{module}
Source:		ftp://ftp.perl.org/pub/CPAN/modules/by-module/Authen/%{tarname}-%{version}.tar.bz2
BuildRequires:	perl-devel
Buildroot:	%{_tmppath}/%{name}-root
BuildArch:	noarch

%description
RadiusPerl is a Perl 5 module (Radius.pm) which allows you to 
communicate with a Radius server from Perl. You can just authenticate 
usernames/passwords via Radius, or comletely imitate AAA requests 
and process server response.

%prep
%setup -q -n %{module}-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor 
make OPTIMIZE="$RPM_OPT_FLAGS" 
# (sb) can't really do this - need a Radius server
#make test

%install
rm -rf $RPM_BUILD_ROOT 
%makeinstall_std 

%clean
rm -rf $RPM_BUILD_ROOT 

%files
%defattr(-,root,root)
%doc README
%{_mandir}/man3/*
%{perl_vendorlib}/Authen





%changelog
* Sat Mar 07 2009 Antoine Ginies <aginies@mandriva.com> 0.13-3mdv2009.1
+ Revision: 351673
- rebuild

* Tue Jun 17 2008 Thierry Vignaud <tvignaud@mandriva.com> 0.13-2mdv2009.0
+ Revision: 223566
- rebuild

* Tue Feb 12 2008 Thierry Vignaud <tvignaud@mandriva.com> 0.13-1mdv2008.1
+ Revision: 166033
- fix spacing at top of description
- kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Sun Apr 29 2007 Nicolas Lécureuil <neoclust@mandriva.org> 0.13-1mdv2008.0
+ Revision: 19249
-New version


* Fri Oct 27 2006 Nicolas Lécureuil <neoclust@mandriva.org> 0.12-3mdv2007.0
+ Revision: 73308
- import perl-Authen-Radius-0.12-3mdk

* Fri Apr 28 2006 Nicolas Lcureuil <neoclust@mandriva.org> 0.12-3mdk
- Fix SPEC Using perl Policies
	- Source URL
- use mkrel

* Mon Feb 06 2006 Stew Benedict <sbenedict@mandriva.com> 0.12-2mdk
- annual rebuild

* Fri Jan 07 2005 Stew Benedict <sbenedict@mandrakesoft.com> 0.12-1mdk
- 0.12

* Mon Dec 01 2003 Stew Benedict <sbenedict@mandrakesoft.com> 0.09-1mdk
- first Mandrake release, optional feature for nocatauth

